//---------------------------------------------------------------------------
#ifndef fobrazH
#define fobrazH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>

#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>

#include "geometria.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPaintBox *PaintBox1;
	TPanel *Panel1;
	TOpenDialog *OpenDialog1;
	TButton *Button3;
	TGroupBox *GroupBox1;
	TGroupBox *GroupBox2;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TTrackBar *TrackBar1;
	TRadioGroup *RadioGroup1;
	TButton *Button1;
	TButton *Button2;
	TTrackBar *TrackBar2;
	TTrackBar *TrackBar3;
	TTrackBar *TrackBar4;
	TGroupBox *GroupBox3;
	TTrackBar *TrackBar5;
	TGroupBox *GroupBox4;
	TCheckBox *CheckBox1;
	void __fastcall PaintBox1Paint(TObject *Sender);
	void __fastcall TrackBar1Change(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall RadioGroup1Click(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:	// User declarations
	TPunkt obserwator;
   double ogniskowa;
   Graphics :: TBitmap *fb;
	double v;
   int fil_podzial;
	void odczytaj_parametry( void);
	bool odczytaj_plik( void);
	void kolor( TCanvas *cnv, int i, int j);
	void wyswietl_info( bool kasowanie = NULL);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
